Subject: bug#731: 23.0.60; Varying point position after undo

From: Markus Triska <[email-masked]>
Date: Fri, 19 Sep 2008 06:31:47 +0200

[email-masked] writes:

> Do you still see this problem?

Yes; it also works if I place point anywhere within the first top-level
form and then press C-M-x, followed by C-_. The first time I do that,
point is moved to the original end of buffer, i.e., after the second
form. Every further time, point isn't moved, until I visit a different
buffer. I can reproduce this with today's Emacs 23 CVS on OSX 10.4 and
Ubuntu Intrepid. Emacs 22.2 never moves point on both systems.

undo1.el is also available from: http://www.logic.at/prolog/undo1.el

As mentioned, the file must be specified on the command line - opening
it with C-x C-f and then doing the above does not move point. However,
you can open undo1.el with C-x C-f, then do C-x b, switch to *scratch*,
then return to undo1.el. If you then do C-M-x C-_, point should move.